Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Author Message
seagullOffline
Post subject: newest 3.7er kernel doesn't work together with prop. nvidia  PostPosted: 11.12.2012, 19:03



Joined: 2010-09-11
Posts: 34

Status: Offline
      Code:
X.Org X Server 1.12.4
Release Date: 2012-08-27
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-4.drm-amd64 x86_64 Debian
Current Operating System: Linux aptosidbox 3.7-0.slh.1-aptosid-amd64 #1 SMP PREEMPT Tue Dec 11 13:09:12 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.7-0.slh.1-aptosid-amd64 root=UUID=f076244b-7fc7-4f48-855d-cc78f6181a75 ro quiet
Build Date: 29 November 2012  07:18:16PM
xorg-server 2:1.12.4-4 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.26.0
   Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Tue Dec 11 17:32:27 2012
(==) Using config directory: "/etc/X11/xorg.conf.d"
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
FATAL: Module nvidia not found.

Fatal server error:
no screens found

Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

Server terminated with error (1). Closing log file.


multibooting the same machine with nouveau works.

Host/Kernel/OS "aptosidbox" running Linux 3.6-9.slh.1-aptosid-amd64 x86_64 [ aptosid 2010-02 Κῆρες - kde-full - (201009132215) ]
CPU Info 2x AMD Athlon X2 Dual Core BE-2350 clocked at [ 1000.000 MHz ]
Videocard NVIDIA C68 [GeForce 7050 PV / nForce 630a] X.Org 1.12.4 [ 1920x1200@60.0hz ]
Processes 145 | Uptime 40min | Memory 862.3/1944.7MB | HDD Size 1628GB (4%used) | GLX Renderer GeForce 7050 PV / nForce 630a/integrated/SSE2 |
GLX Version 2.1.2 NVIDIA 304.64 | Client Shell | Infobash v3.45
 
 View user's profile Send private message  
Reply with quote Back to top
drbOffline
Post subject:   PostPosted: 11.12.2012, 19:29



Joined: 2010-09-11
Posts: 96

Status: Offline
Have you tried 310.19 with 3.7?
 
 View user's profile Send private message  
Reply with quote Back to top
towoOffline
Post subject:   PostPosted: 11.12.2012, 19:37



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
310.19 does not support cards <= Geforce 8xxx.
 
 View user's profile Send private message  
Reply with quote Back to top
seagullOffline
Post subject:   PostPosted: 11.12.2012, 20:29



Joined: 2010-09-11
Posts: 34

Status: Offline
I have no ambition to experiment on my own. I Just realized this and informed the "aptosiblings".
 
 View user's profile Send private message  
Reply with quote Back to top
etorixOffline
Post subject:   PostPosted: 12.12.2012, 09:52
Team Member


Joined: 2010-08-26
Posts: 137

Status: Offline
yeah, its known .. just stay on 3.6-9.slh.1 till it gets sorted, or use nouveau
 
 View user's profile Send private message  
Reply with quote Back to top
anticapitalistaOffline
Post subject:   PostPosted: 13.12.2012, 00:24



Joined: 2010-09-11
Posts: 3

Status: Offline
      towo wrote:
310.19 does not support cards <= Geforce 8xxx.


Oh yes it does Smile

inxi -G
Graphics: Card: NVIDIA G98 [GeForce 8400 GS] X.Org: 1.12.4 driver: nvidia Resolution: 1280x1024@60.0hz
GLX Renderer: GeForce 8400 GS/PCIe/SSE2 GLX Version: 3.3.0 NVIDIA 310.19

FYI - not trying to be a smart ass.
 
 View user's profile Send private message  
Reply with quote Back to top
DeepDayzeOffline
Post subject:   PostPosted: 13.12.2012, 02:13



Joined: 2010-09-11
Posts: 616
Location: USA
Status: Offline
      anticapitalista wrote:
      towo wrote:
310.19 does not support cards <= Geforce 8xxx.


Oh yes it does Smile

inxi -G
Graphics: Card: NVIDIA G98 [GeForce 8400 GS] X.Org: 1.12.4 driver: nvidia Resolution: 1280x1024@60.0hz
GLX Renderer: GeForce 8400 GS/PCIe/SSE2 GLX Version: 3.3.0 NVIDIA 310.19

FYI - not trying to be a smart ass.


What towo meant was anything below GeForce 8. Geforce 6 and 7 are NOT supported by the 310.xx driver series

I have a 64MB 8400GT so may switch out my older GeForce 7900GS for it
 
 View user's profile Send private message  
Reply with quote Back to top
k1tt3hOffline
32 Post subject:   PostPosted: 13.12.2012, 04:07



Joined: 2012-11-18
Posts: 21
Location: lap, window sill, or top of refrigerator
Status: Offline
      DeepDayze wrote:


What towo meant was anything below GeForce 8. Geforce 6 and 7 are NOT supported by the 310.xx driver series

I have a 64MB 8400GT so may switch out my older GeForce 7900GS for it


The confusion lies in
      Code:
<=


On topic, I received not only the Nvidia [fail], but also one for alsa. Since this is far beyond my capabilities, I am content using the numerically pleasing 3.6-9 kernel since I thoroughly enjoy the Nvidia driver. If you need me to do anything special in an effort to help solve the issue, please email me and let me know. I am looking at the kern.log as I type this to make sure I am not completely crazy.

Good luck to all and hope the problem is one easily found and fixed.

As an aside, and since I don't really know where to mention something this silly, I noticed a typo in the apt-get update output. Has anyone else seen it? It states ``rred'' instead of ``read''.



Stay safe and thank you, aptosid team. Good stuff.
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
towoOffline
Post subject:   PostPosted: 13.12.2012, 06:25



Joined: 2010-09-13
Posts: 496
Location: Pößneck / Thüringen
Status: Offline
You are right, the driver supports cards >= GeForce 8xxx, it was i typo.
 
 View user's profile Send private message  
Reply with quote Back to top
k1tt3hOffline
32 Post subject:   PostPosted: 13.12.2012, 07:37



Joined: 2012-11-18
Posts: 21
Location: lap, window sill, or top of refrigerator
Status: Offline
      towo wrote:
You are right, the driver supports cards >= GeForce 8xxx, it was i typo.

Laughing

Addendum to my previous post. Wink

 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
drbOffline
Post subject:   PostPosted: 13.12.2012, 09:37



Joined: 2010-09-11
Posts: 96

Status: Offline
For information 3.7 failed for me with 310.14. 310.19 and 313.09beta . . . . . . also got the ALSA error mentioned above
 
 View user's profile Send private message  
Reply with quote Back to top
etorixOffline
Post subject:   PostPosted: 13.12.2012, 10:57
Team Member


Joined: 2010-08-26
Posts: 137

Status: Offline
k1tt3h cdn.debian = 'content delivery network' .debian

a rather more successful auto-repo-finder is

      Code:
deb http://http.debian.net/debian unstable main contrib non-free


see http://http.debian.net/


Last edited by etorix on 13.12.2012, 11:01; edited 2 times in total
 
 View user's profile Send private message  
Reply with quote Back to top
etorixOffline
Post subject:   PostPosted: 13.12.2012, 10:58
Team Member


Joined: 2010-08-26
Posts: 137

Status: Offline
hm, double-post, im /off to shoot someone
 
 View user's profile Send private message  
Reply with quote Back to top
k1tt3hOffline
32 Post subject:   PostPosted: 13.12.2012, 16:22



Joined: 2012-11-18
Posts: 21
Location: lap, window sill, or top of refrigerator
Status: Offline
      etorix wrote:
a rather more successful auto-repo-finder is http://http.debian.net/


Thank you very much. You are absolutely correct. It is obvious right from the start. I was reticent to change too much in regards to the repos, ever since my little scare when the oscar mirror went down.

Edit: rm'd silly img


Last edited by k1tt3h on 14.12.2012, 15:06; edited 1 time in total
 
 View user's profile Send private message Visit poster's website  
Reply with quote Back to top
diensthundsOffline
Post subject: not with compositing on even nouveau  PostPosted: 13.12.2012, 19:03



Joined: 2012-12-12
Posts: 3
Location: West Virginia
Status: Offline
Doesn't seam to want to work with compositing turned on in kde either. I had to reboot into 3.6 kernel and turn off compositing then boot into 3.7 in order to view my screen. Was skewed six ways to sunday and nothing would fix it except a hard reboot. Looks like there is something in the 3.7 that does not like nvidia at all even the nouveau drivers.
 
 View user's profile Send private message Yahoo Messenger  
Reply with quote Back to top
Display posts from previous:     
Jump to:  
All times are GMT - 12 Hours
Post new topic   Reply to topic
View previous topic Printable version Log in to check your private messages View next topic
Powered by Zafenio